Debian Bug report logs - #678707
mozc: FTBFS[kfreebsd]: error: aggregate 'mozc::{anonymous}::IsPeerValid(int, pid_t*)::ucred peer_cred' has incomplete type and cannot be defined

version graph

Package: src:mozc; Maintainer for src:mozc is Nobuhiro Iwamatsu <iwamatsu@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sat, 23 Jun 2012 21:42:13 UTC

Severity: serious

Tags: sid, wheezy

Found in version mozc/1.5.1090.102-1

Fixed in version mozc/1.5.1090.102-2

Done: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#678707; Package src:mozc. (Sat, 23 Jun 2012 21:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Sat, 23 Jun 2012 21:42:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: mozc: FTBFS[kfreebsd]: error: aggregate 'mozc::{anonymous}::IsPeerValid(int, pid_t*)::ucred peer_cred' has incomplete type and cannot be defined
Date: Sat, 23 Jun 2012 23:41:13 +0200
Package: src:mozc
Version: 1.5.1090.102-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

  g++ '-DGTEST_HAS_TR1_TUPLE=1' '-DGTEST_HAS_RTTI=0' '-DOS_LINUX' '-DMOZC_SERVER_DIRECTORY="/usr/lib/mozc"' '-DMOZC_BUILD' '-DMOZC_LANGUAGE_SUFFIX_FOR_LINUX="_japanese"' '-DMOZC_ENABLE_UNITTEST' '-DNDEBUG' '-DQT_NO_DEBUG' '-DNO_LOGGING' '-DIGNORE_HELP_FLAG' '-DIGNORE_INVALID_FLAG' -I. -Ithird_party/breakpad/src -Iout_linux/Release/obj/gen -Iout_linux/Release/obj/gen/proto_out -Ithird_party/gmock/include -Ithird_party/gtest/include  -Wall -Werror -Wno-char-subscripts -Wno-sign-compare -Wno-deprecated-declarations -Wwrite-strings -fPIC -fno-exceptions -fmessage-length=0 -fno-omit-frame-pointer -fno-strict-aliasing -funsigned-char -include base/namespace.h -pipe -pthread -O2 -Wno-deprecated -MMD -MF out_linux/Release/.deps/out_linux/Release/obj.target/ipc/ipc/unix_ipc.o.d.raw -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -c -o out_linux/Release/obj.target/ipc/ipc/unix_ipc.o ipc/unix_ipc.cc
ipc/unix_ipc.cc: In function 'bool mozc::{anonymous}::IsPeerValid(int, pid_t*)':
ipc/unix_ipc.cc:155:16: error: aggregate 'mozc::{anonymous}::IsPeerValid(int, pid_t*)::ucred peer_cred' has incomplete type and cannot be defined
ipc/unix_ipc.cc:157:38: error: 'SO_PEERCRED' was not declared in this scope
make[2]: *** [out_linux/Release/obj.target/ipc/ipc/unix_ipc.o] Error 1
make[2]: Leaving directory `/build/buildd-mozc_1.5.1090.102-1-kfreebsd-amd64-_FuKra/mozc-1.5.1090.102'
Traceback (most recent call last):
Running: make -j1 MAKE_JOBS=1 BUILDTYPE=Release builddir_name=out_linux ibus_mozc scim_mozc scim_mozc_setup mozc_emacs_helper uim-mozc fcitx-mozc mozc_server mozc_tool mozc_renderer
  File "build_mozc.py", line 1477, in <module>
    main()
  File "build_mozc.py", line 1465, in main
    BuildMain(cmd_opts, cmd_args, original_directory_name)
  File "build_mozc.py", line 1233, in BuildMain
    BuildOnBSD(options, targets, original_directory_name)
  File "build_mozc.py", line 1080, in BuildOnBSD
    RunOrDie([make_command] + build_args + target_names)
  File "/build/buildd-mozc_1.5.1090.102-1-kfreebsd-amd64-_FuKra/mozc-1.5.1090.102/build_tools/util.py", line 98, in RunOrDie
    '==========']))
build_tools.util.RunOrDieError: 
==========
 ERROR: make -j1 MAKE_JOBS=1 BUILDTYPE=Release builddir_name=out_linux ibus_mozc scim_mozc scim_mozc_setup mozc_emacs_helper uim-mozc fcitx-mozc mozc_server mozc_tool mozc_renderer
==========
make[1]: *** [override_dh_auto_build] Error 1
make[1]: Leaving directory `/build/buildd-mozc_1.5.1090.102-1-kfreebsd-amd64-_FuKra/mozc-1.5.1090.102'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=mozc&arch=kfreebsd-amd64&ver=1.5.1090.102-1&stamp=1340163911

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 22:39:07 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 27 Jun 2012 22:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 678707-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: 678707-close@bugs.debian.org
Subject: Bug#678707: fixed in mozc 1.5.1090.102-2
Date: Wed, 27 Jun 2012 22:36:59 +0000
Source: mozc
Source-Version: 1.5.1090.102-2

We believe that the bug you reported is fixed in the latest version of
mozc, which is due to be installed in the Debian FTP archive:

emacs-mozc-bin_1.5.1090.102-2_amd64.deb
  to main/m/mozc/emacs-mozc-bin_1.5.1090.102-2_amd64.deb
emacs-mozc_1.5.1090.102-2_amd64.deb
  to main/m/mozc/emacs-mozc_1.5.1090.102-2_amd64.deb
fcitx-mozc_1.5.1090.102-2_amd64.deb
  to main/m/mozc/fcitx-mozc_1.5.1090.102-2_amd64.deb
ibus-mozc_1.5.1090.102-2_amd64.deb
  to main/m/mozc/ibus-mozc_1.5.1090.102-2_amd64.deb
mozc-data_1.5.1090.102-2_all.deb
  to main/m/mozc/mozc-data_1.5.1090.102-2_all.deb
mozc-server_1.5.1090.102-2_amd64.deb
  to main/m/mozc/mozc-server_1.5.1090.102-2_amd64.deb
mozc-utils-gui_1.5.1090.102-2_amd64.deb
  to main/m/mozc/mozc-utils-gui_1.5.1090.102-2_amd64.deb
mozc_1.5.1090.102-2.debian.tar.gz
  to main/m/mozc/mozc_1.5.1090.102-2.debian.tar.gz
mozc_1.5.1090.102-2.dsc
  to main/m/mozc/mozc_1.5.1090.102-2.dsc
scim-mozc_1.5.1090.102-2_amd64.deb
  to main/m/mozc/scim-mozc_1.5.1090.102-2_amd64.deb
uim-mozc_1.5.1090.102-2_amd64.deb
  to main/m/mozc/uim-mozc_1.5.1090.102-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@debian.org> (supplier of updated mozc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Jun 2012 06:12:46 +0900
Source: mozc
Binary: mozc-data ibus-mozc scim-mozc uim-mozc fcitx-mozc emacs-mozc emacs-mozc-bin mozc-server mozc-utils-gui
Architecture: source all amd64
Version: 1.5.1090.102-2
Distribution: unstable
Urgency: high
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Description: 
 emacs-mozc - Mozc for Emacs
 emacs-mozc-bin - Helper module for emacs-mozc
 fcitx-mozc - Mozc engine for fcitx - Client of the Mozc input method
 ibus-mozc  - Mozc engine for IBus - Client of the Mozc input method
 mozc-data  - Mozc input method - data files
 mozc-server - Server of the Mozc input method
 mozc-utils-gui - GUI utilities of the Mozc input method
 scim-mozc  - Mozc engine for SCIM - Client of the Mozc input method
 uim-mozc   - Mozc engine for uim - Client of the Mozc input method
Closes: 678707
Changes: 
 mozc (1.5.1090.102-2) unstable; urgency=high
 .
   * Fix FTBFS on kFreeBSD. (Closes: #678707)
     Disable renderer.
Checksums-Sha1: 
 6b202e4d74e27e6f07b63038e49096091fb7d1b8 2376 mozc_1.5.1090.102-2.dsc
 cac52eb9cbe2e998e885fd2ad4147254bd288ca3 61900 mozc_1.5.1090.102-2.debian.tar.gz
 a8368aaaf2908f026026f52112fc966642682779 14206 mozc-data_1.5.1090.102-2_all.deb
 1391192a3e183bb8711187fa8cd14351722804b2 283602 ibus-mozc_1.5.1090.102-2_amd64.deb
 2bd386690555393ed6e8eb1ef37bacb9f9e7be6c 464366 scim-mozc_1.5.1090.102-2_amd64.deb
 514839f99be0a89d45549ac9a3388fff21274034 286506 uim-mozc_1.5.1090.102-2_amd64.deb
 2f3f0ed3f9f196ce5d09e63577f8f979fd0705ca 327036 fcitx-mozc_1.5.1090.102-2_amd64.deb
 9f566bc2ec97c7485c9a7e871d0fb5db11420b6c 28694 emacs-mozc_1.5.1090.102-2_amd64.deb
 bf02c72fd42fffbc99ae06bec113ba9cd9844ef6 228600 emacs-mozc-bin_1.5.1090.102-2_amd64.deb
 029d04e0c0757862f1d81d4042b2354c5db8e48c 14629226 mozc-server_1.5.1090.102-2_amd64.deb
 64896fa8c5719540a449eaceb65b77a94cd98401 1010254 mozc-utils-gui_1.5.1090.102-2_amd64.deb
Checksums-Sha256: 
 68f2f46b6cd834c3d6d6cb9a381878d16dc28a5c8a4cb564b47e77fa73ce9df8 2376 mozc_1.5.1090.102-2.dsc
 a8a33899c0c341eeabd355d00830fb4fd781d545a05aee7ec9aea0449bfff324 61900 mozc_1.5.1090.102-2.debian.tar.gz
 3a2b164838e909e6586b846120b59ffb1c45f0f0e7dc1b0781d7808c17a11027 14206 mozc-data_1.5.1090.102-2_all.deb
 24a328635109878d7ce28c76cd59b0dfd7135bd03833b39e32caddf6be3064a9 283602 ibus-mozc_1.5.1090.102-2_amd64.deb
 2fb6c69e18095d592f7fe6ba4fc38f354deead67db66dc31b777935f0b27c17d 464366 scim-mozc_1.5.1090.102-2_amd64.deb
 e3d0ffc2879ecbf6e30b3d710fe2f3fc5aa1e93abd761962a5d379936d56df6c 286506 uim-mozc_1.5.1090.102-2_amd64.deb
 0840b6c15ad54e4587a1d6359ee1f9fc80d81c5e969037074101decc75e1a156 327036 fcitx-mozc_1.5.1090.102-2_amd64.deb
 27492e8383e4d09683dd7fabb0b69214830857f2055413b31e5354a20967db4b 28694 emacs-mozc_1.5.1090.102-2_amd64.deb
 60138cd373f59984712dbd4833f4dcf12d7e777e77f80381446910f249903e46 228600 emacs-mozc-bin_1.5.1090.102-2_amd64.deb
 e4c35316460c1a290e5a209d29a02eb5aea14eb40445bf72b7e92b9d853d291f 14629226 mozc-server_1.5.1090.102-2_amd64.deb
 118961618aff63dd092e72864250c8e6a85358eefe95ec0b439c34b3e2532910 1010254 mozc-utils-gui_1.5.1090.102-2_amd64.deb
Files: 
 6285d6194005d376fbf167ca9a9eeadd 2376 utils optional mozc_1.5.1090.102-2.dsc
 c8d110c048ace3307243191d499f1b9f 61900 utils optional mozc_1.5.1090.102-2.debian.tar.gz
 f77b3c8a31f2e89bd058534477e48e90 14206 utils optional mozc-data_1.5.1090.102-2_all.deb
 8dbe2b13a5afd461fcf65802795da067 283602 utils optional ibus-mozc_1.5.1090.102-2_amd64.deb
 4b4e6cddf85ab9511a16607330bdf5a3 464366 utils optional scim-mozc_1.5.1090.102-2_amd64.deb
 78c9091cd9a91a1ca0ead8fcddfe83b6 286506 utils optional uim-mozc_1.5.1090.102-2_amd64.deb
 358223b8b5e6948b6b28b6e9366642de 327036 utils optional fcitx-mozc_1.5.1090.102-2_amd64.deb
 378e47cb05182fbed6bae6b818286300 28694 utils optional emacs-mozc_1.5.1090.102-2_amd64.deb
 860b2e43f5cf2a887497a601c3f06879 228600 utils optional emacs-mozc-bin_1.5.1090.102-2_amd64.deb
 9a8ed8114e07c63e5195b53dd209c486 14629226 utils optional mozc-server_1.5.1090.102-2_amd64.deb
 3fb2cd40e58b68c2530daebc120666d4 1010254 utils optional mozc-utils-gui_1.5.1090.102-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP64QVAAoJEDIkf7tArR+mhX0P/iItUxEfL5sp/+++uRh6GTnl
3MqrOaN2Yw/7vqddJtaxnIW/ny9UZQtrPblrQsH7x6lYx7OGWnTJALJoguJQLv6O
tebRWyBSAr13bRz2HVeOFa0pi8fV+GowwJQgEEnCySygaTBlCzEgRi3bC2ubf5oS
xNvBLRHZn9o/MJT31VnTI0fVZtv1VzTXROmeAhBA/kFujzLBv4p+mQcxjC0kyvgz
wSgfQr0hPxn5syxOixYzrXqF9FLel1mGo2vYRX2WAzW1OKgYN4UGf6Jho5kch9Wj
6BF/rG2q6rXLAYi78h4tziDn6KGisfPrDx14ZWrjfxse48K+Q1qsPa3D8b5tG7PA
AqdhiMUOl+xWzw5cFrL1FYaytPjOez7Y1C+wmaIKMif/W3q/G6k0bqOJ3BAr+b6M
CxzCxtOIOA7arUPCLYYT+dQY9G8pTwD86198Ok6nM5BUFmmerhC3h9yryJ3Sl9ce
ZoZf9HHAk9QZkedPCS5Fu8SfFgCnatCi8vUJsJuqEP9G+/qMGkH9mw7luH/ApCIq
icjxQBA8rqpefEaxUz3EVTowUXJmsrXnPsmEraJ0r7niRnXO9Wvjv/esmlvWOcP/
VOvR3n584QSiL0/PiC4ky7CqhFuj3al8Hz6rDe+dn9xVWN/GdNZIe38n/jpG1e/s
elB128DjX9AMFuKz5ohn
=apOw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2012 07:26:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:46:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.